> This page is for version v2026-01-15.
> For other versions, use one of these documentation indexes:
> - v2026-04-01 (default): https://docs.givechariot.com/v2026-04-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# Get a Deposit

GET https://api.givechariot.com/v1/deposits/{id}

Get a deposit by its unique identifier.

Reference: https://docs.givechariot.com/api/deposits/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The unique identifier for the deposit

## Response

### 200

The deposit was retrieved

- `id` (string, required) — The unique identifier for this object.
- `payment_source_id` (string, required) — The unique identifier for the payment source that contains the money for the deposit.
- `status` (enum, required) — The status of the deposit.
  - Allowed values: `pending`, `complete`, `failed`
- `transfer` (Transfer, required) — A subhash containing information about the transfer associated with the deposit.
- `created_at` (datetime, required) — The date and time when the deposit was created.
- `updated_at` (datetime, required) — The date and time when the deposit was last updated.
- `settled_at` (datetime, optional) — The date and time when the deposit was settled.
- `returned_at` (datetime, optional) — The date and time when the deposit was returned.
- `properties` (list of PropertyAssignment, optional) — A list of properties assigned to the deposit.
- `bank_created_at` (datetime, optional) — The date and time when the bank created the deposit.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 404 Not Found Error

Resource Not Found

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### Transfer

A subhash containing information about the transfer associated with the deposit.

- `amount` (long, required) — The amount of the transfer in minor currency units. For example, for dollars, this is cents.
- `currency` (string, required) — The [ISO 4217 code](https://en.wikipedia.org/wiki/ISO_4217) for the transfer's currency.
- `financial_account_id` (string, required) — The unique identifier for the financial account that the transfer was made to.
- `description` (string, optional) — A description of the transfer.
- `inbound_account_transfer` (InboundAccountTransfer, optional) — A subhash containing information about the inbound account transfer associated with the deposit.
- `inbound_ach_transfer` (InboundAchTransfer, optional) — A subhash containing information about the inbound ACH transfer associated with the deposit.
- `check_deposit` (CheckDeposit, optional) — A subhash containing information about the check deposit associated with the deposit.

### PropertyAssignment

A property assignment is a key-value pair that is associated with a donation.

- `property_id` (string, optional) — The unique identifier for the property.
- `value` (PropertyValue, optional)

### InboundAccountTransfer

An instant transfer of funds between two financial accounts. This is the preferred method of transferring funds for Grantmakers within Chariot's Network.

- `created_at` (datetime, required) — The date and time the account transfer was created

### InboundAchTransfer

An ACH transfer initiated outside of Chariot to your financial account.

- `standard_entry_class_code` (string, optional) — The Standard Entry Class (SEC) code for the ACH transfer.
- `company_entry_description` (string, optional) — The company entry description for the ACH transfer.
- `originator_routing_number` (string, optional) — The routing number of the originator of the ACH transfer.
- `originator_company_name` (string, optional) — The name of the originator of the ACH transfer.
- `trace_number` (string, optional) — The trace number for the ACH transfer.
- `effective_date` (datetime, optional) — The effective date for the ACH transfer.
- `status` (enum, optional) — The status of the ACH transfer.
  - Allowed values: `pending`, `declined`, `accepted`, `returned`

### CheckDeposit

A check deposit represents a physical check that is deposited into a financial account.

- `auxiliary_on_us` (string, optional) — An additional line of metadata printed on the check. This typically includes the check number for business checks.
- `routing_number` (string, optional) — The routing number printed on the check. This is a routing number for the bank that issued the check.
- `submitted_at` (datetime, optional) — The date and time the check deposit was submitted.
- `status` (enum, optional) — The status of the check deposit.
  - Allowed values: `pending`, `deposited`, `rejected`, `returned`

### PropertyValue

- `type` (enum, required) — The data type of a property.
  - Allowed values: `text`, `enum`, `user`, `boolean`, `date`
- `text_value` (string, optional) — The text value of the property.
- `enum_value_id` (string, optional) — The unique identifier for the enum value.
- `user_value_id` (string, optional) — The unique identifier for the user.
- `boolean_value` (boolean, optional) — The boolean value of the property.
- `date_value` (datetime, optional) — The date value of the property.
- `empty` (boolean, optional) — Whether the property value is empty. Can use this to unset property values when assigning a property.

## Examples

**Response**

```json
{
  "id": "deposit_01j8rs605a4gctmbm58d87mvsj",
  "payment_source_id": "payment_source_01j8rs605a4gctmbm58d87mvsj",
  "status": "complete",
  "transfer": {
    "amount": 10000,
    "currency": "USD",
    "financial_account_id": "fa_01j8rs605a4gctmbm58d87mvsj",
    "description": "Disbursement to nonprofit",
    "inbound_account_transfer": {
      "created_at": "2020-01-31T23:00:00Z"
    },
    "inbound_ach_transfer": {
      "standard_entry_class_code": "WEB",
      "company_entry_description": "GRANTPMT",
      "originator_routing_number": "1234567890",
      "originator_company_name": "Charity Good",
      "trace_number": "1234567890",
      "effective_date": "2020-01-31T23:00:00Z",
      "status": "accepted"
    },
    "check_deposit": {
      "auxiliary_on_us": "102",
      "routing_number": "101050001",
      "submitted_at": "2020-01-31T23:00:00Z",
      "status": "deposited"
    }
  },
  "created_at": "2020-01-31T23:59:59Z",
  "updated_at": "2020-01-31T23:59:59Z",
  "settled_at": "2020-01-31T23:59:59Z",
  "returned_at": "2020-01-31T23:59:59Z",
  "properties": [
    {
      "property_id": "prop_01j8rs605a4gctmbm58d87mvsj",
      "value": {
        "type": "text",
        "text_value": "string",
        "enum_value_id": "string",
        "user_value_id": "string",
        "boolean_value": true,
        "date_value": "2024-01-15T09:30:00Z",
        "empty": true
      }
    }
  ],
  "bank_created_at": "2020-01-31T23:59:59Z"
}
```